<?php
  /*
* This file is part of GoTo Contact Center Webchat.
   *
   * GoTo Contact Center Webchat is free software: you can redistribute it and/or modify it under the terms of the
   * GNU General Public License as published by the Free Software Foundation, either version 3 of the License,
   * or (at your option) any later version.
   * GoTo Contact Center Webchat is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
   * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License for more details.
   * You should have received a copy of the GNU General Public License along with GoTo Contact Center Webchat.
   * If not, see <https://www.gnu.org/licenses/>.
   */
  /**
   * GoTo Contact Center Webchat activator function
   *
   * @package     GoTo_Plugin
   * @subpackage
   * @copyright   Copyright (c) 2022, GoTo inc.
   * @license     https://www.gnu.org/licenses/gpl-3.0.txt
   * @since       0.1.0
   */

  if ( ! defined( 'ABSPATH' ) ) {
    exit;
  }

  /*
   * Keeping commented for the time being as the wp_options
   * table provides all the functionalities that are needed
   * by this plugin.
   *
   * In upcoming versions, when support for multisite is added,
   * a full database table will be required.
   */

//  global $wpdb;
//  require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
//
//  $table = $wpdb->prefix . 'goto_' . self::PREF;
//
//  $charset_collate = $wpdb->get_charset_collate();
//
//  $sql = "CREATE TABLE " . $table . "(
//    id mediumint(9) NOT NULL AUTO_INCREMENT,
//    activated BOOLEAN,
//    snippet LONGTEXT,
//    UNIQUE KEY id (id)
//  )" . $charset_collate . ";";
//
//  dbDelta( $sql );
  add_option(self::PREF . '_activated', true );
  add_option(self::PREF . '_snippet' );
